"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toKey = exports.supportedKeys = exports.keyCodeMapping = void 0;
exports.keyCodeMapping = {
    13: "Enter",
    38: "ArrowUp",
    40: "ArrowDown",
    36: "Home",
    35: "End",
    27: "Escape",
    8: "Backspace",
};
exports.supportedKeys = [
    "Enter",
    "ArrowUp",
    "ArrowDown",
    "Home",
    "End",
    "Escape",
    "Backspace",
];
const supported = (k) => exports.supportedKeys.indexOf(k) !== -1;
const toKey = (event) => {
    if (event.keyCode)
        return exports.keyCodeMapping[event.keyCode] || null;
    return supported(event.key) ? event.key : null;
};
exports.toKey = toKey;
