export declare const isSelect: (e: HTMLElement | null) => e is HTMLSelectElement;
export declare const isInput: (e: HTMLElement | null) => e is HTMLInputElement;
export declare const isTextarea: (e: HTMLElement | null) => e is HTMLTextAreaElement;
export declare const isInputElem: (e: HTMLElement | null) => e is HTMLInputElement | HTMLTextAreaElement;
export declare const update: (input: HTMLElement | null | undefined, value: string, skipTrigger?: boolean) => void;
export declare const hasValue: (select: HTMLElement, value: string | null) => boolean;
export declare const optionsHasText: (select: HTMLElement, value: string | null) => HTMLOptionElement[];
type InputElement = HTMLSelectElement | HTMLInputElement | HTMLTextAreaElement;
interface SetValue {
    (e: InputElement, value: string): void;
}
export declare const setValue: SetValue;
interface Change {
    (options: ChangeOptions): void;
}
interface ChangeOptions {
    e: InputElement;
    value: string | null;
    skipTrigger?: boolean;
}
export declare const change: Change;
export {};
