import { Bind, Start, Stop, PageTest } from "./types";
export interface ObserverConfig {
    subtree?: boolean;
    childList?: boolean;
    attributes?: boolean;
    attributeFilter?: string[];
    attributeOldValue?: boolean;
    characterData?: boolean;
    characterDataOldValue?: boolean;
}
interface TimerOptions {
    pageTest?: PageTest;
    bind: Bind;
    interval?: number;
    mutationObserver?: boolean;
    target?: HTMLElement;
    observerConfig?: ObserverConfig;
}
interface TimerControls {
    start: Start;
    stop: Stop;
}
interface Timer {
    (options: TimerOptions): TimerControls;
}
export declare const watchTimer: Timer;
export declare const watchMutation: Timer;
export declare const watchChange: Timer;
export {};
